// Copyright (C) 2010 Julien VAUBOURG
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

// Author  : http://julien.vaubourg.com
// SpinkBB : http://spinkbb.jsand.net
// Forums  : http://CtrlAltSuppr.com


/** Singleton de preview */

function Preview() {
	if(!Outils.isset(Preview.initialized)) {
		Preview.initialized = true;
		Preview.active = true;

		var idPreview = window.location.search.match(/spkPw=([A-Z0-9]{32})/i)[1];

		// Propagation de la variable preview à tous les liens
		var liens = document.getElementsByTagName('a');
		for(var l = 0; l < liens.length; liens[l].href += (liens[l++].href.match('&') ? '&' : '?') + 'spkPw=' + idPreview);

		// Import du spinker demandé
		ImportExport.importFromPreview(idPreview);

		// Affichage du splashscreen à toutes les pages
		Affichage.splashscreen();
	} else
		throw new Exception(Langues.get('Les \351v\351nements ont d\351j\340 \351t\351 affect\351s.'));
}

Preview.active = false;
